# Low Level Virtual Machine

### NAME

llvm-as

### SYNOPSIS

llvm-as [options] < filename>

### DESCRIPTION

The llvm-as command is the LLVM assembler. It takes a human readable LLVM assembly language file and translates it into LLVM bytecode. By default, llvm-as places its output into filename.bc.

### OPTIONS

- -f
  Force overwrite. Normally, llvm-as will refuse to overwrite an output file that already exists. With this option, llvm-as will overwrite the output file and replace it with new bytecode.

- -help
  Print a summary of command line options.

- -o <filename>
  Specify the output filename.

- -stats
  Print statistics.

- -time-passes
  Record the amount of time needed for each pass and print it to standard error.

### EXIT STATUS

If llvm-as succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

### SEE ALSO

llvm-dis

LLVM Team